# S3共享配置

## 插件依赖

当其他插件也需要配置S3云存储时，就可以直接依赖该插件，只需要在plugin.xml中声明依赖关系：
```
<dependence>
   <item type="plugin" key="com.fanruan.cloud.s3.shared.config"/>
</dependence>
```

## API接口
```
S3CloudSharedConfig config = com.fanruan.cloud.s3.shared.config.S3CloudSharedConfig.getInstance();
// 获取EndPoint
config.getEndpoint();
// 获取AccessKeyId
config.getAccessKeyId();
// 获取AccessKeySecret
config.getRealAccessKeySecret();
```

进入 决策平台->管理系统->系统管理->常规 设置界面，可以配置S3云存储相关参数。

![s3cloud](screenshots/s3cloud.png)
